org.activiti.engine.runtime

## Interface Execution

- All Known Subinterfaces:
    ProcessInstance

      public interface Execution

  Represent a 'path of execution' in a process instance. Note that a `ProcessInstance` also is an execution.
  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActivityId()` Returns the id of the activity where the execution currently is at.
    `String` | `getDescription()` Returns the description of this execution.
    `String` | `getId()` The unique identifier of the execution.
    `String` | `getName()` Returns the name of this execution.
    `String` | `getParentId()` Gets the id of the parent of this execution.
    `String` | `getProcessInstanceId()` Id of the root of the execution tree representing the process instance.
    `String` | `getSuperExecutionId()` Gets the id of the super execution of this execution.
    `String` | `getTenantId()` The tenant identifier of this process instance
    `boolean` | `isEnded()` Indicates if the execution is ended.
    `boolean` | `isSuspended()` Indicates if the execution is suspended.

- - ### Method Detail

    - #### getId

          String getId()

      The unique identifier of the execution.

    - #### isSuspended

          boolean isSuspended()

      Indicates if the execution is suspended.

    - #### isEnded

          boolean isEnded()

      Indicates if the execution is ended.

    - #### getActivityId

          String getActivityId()

      Returns the id of the activity where the execution currently is at. Returns null if the execution is not a 'leaf' execution (eg concurrent parent).

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Id of the root of the execution tree representing the process instance. It is the same as `getId()` if this execution is the process instance.

    - #### getParentId

          String getParentId()

      Gets the id of the parent of this execution. If null, the execution represents a process-instance.

    - #### getSuperExecutionId

          String getSuperExecutionId()

      Gets the id of the super execution of this execution.

    - #### getTenantId

          String getTenantId()

      The tenant identifier of this process instance

    - #### getName

          String getName()

      Returns the name of this execution.

    - #### getDescription

          String getDescription()

      Returns the description of this execution.

Copyright © 2016 Alfresco. All rights reserved.